%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-remoting
Version:          4.0.3
Release:          %mkrel 3
Summary:          JBoss Remoting
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/jbossremoting

# git clone git://github.com/jboss-remoting/jboss-remoting.git
# cd jboss-remoting && git checkout 4.0.3.Final && git checkout-index -f -a --prefix=jboss-remoting-4.0.3.Final/
# rm jboss-remoting-4.0.3.Final/src/test/resources/test-content.bin
# tar -cJf jboss-remoting-4.0.3.Final-CLEAN.tar.xz jboss-remoting-4.0.3.Final
Source0:          jboss-remoting-%{namedversion}-CLEAN.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    jboss-parent
BuildRequires:    xnio
BuildRequires:    jboss-logging
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-logging-tools
BuildRequires:    junit
BuildRequires:    apiviz
BuildRequires:    jdepend

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-remoting-%{namedversion}

%build
# Skipped test because of removing binary content from test dir which is required to run them
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc COPYING.txt

%files javadoc -f .mfiles-javadoc
%doc COPYING.txt



%changelog
* Fri Feb 26 2016 neoclust <neoclust> 4.0.3-3.mga6
+ Revision: 979532
- First rebuild of the java stack
- sync package jboss-remoting with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 27 2014 pterjan <pterjan> 4.0.3-2.mga5
+ Revision: 806447
- Clean rebuild
- Sync with Fedora 21 (update to 4.0.3.Final)

* Wed Oct 15 2014 umeabot <umeabot> 4.0.0-0.2.Beta1.4.mga5
+ Revision: 744587
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 4.0.0-0.2.Beta1.2.mga4
+ Revision: 541904
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 4.0.0-0.2.Beta1.1.mga4
+ Revision: 496535
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.2.4-2.mga3
+ Revision: 355146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 3.2.4-1.mga3
+ Revision: 263189
- New version 3.2.4

* Sun Feb 19 2012 gil <gil> 3.2.2-0.1.GA.mga3
+ Revision: 210917
- update to 3.2.2.GA

* Sun Jan 08 2012 gil <gil> 3.2.0-0.1.CR6.mga2
+ Revision: 193218
- update to 3.2.0.CR6
- imported package jboss-remoting


* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3
- Fixed javadocs dir issue

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta2
- Initial packaging

